libnvme(2)

NAME
struct nvme_resv_status - Reservation Status Data Structure

SYNOPSIS
struct nvme_resv_status {
__le32 gen;
__u8 rtype;
__u8 regctl[2];
__u8 rsvd7[2];
__u8 ptpls;
__u8 rsvd10[14];
union {
struct {
__u8 rsvd24[40];
struct nvme_registered_ctrl_ext regctl_eds[0];
};
struct nvme_registered_ctrl regctl_ds[0];
};
};

Members

gen Generation

rtype
    Reservation Type

regctl
    Number of Registered Controllers

rsvd7
    Reserved

ptpls
    Persist Through Power Loss State

rsvd10
    Reserved

{unnamed_union}
    anonymous

{unnamed_struct}
    anonymous

rsvd24
    Reserved

regctl_eds
    Registered Controller Extended Data Structure

regctl_ds
    Registered Controller Data Structure